%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-escodegen
Version:        1.3.2
Release:        9%{?dist}.5
Summary:        ECMAScript code generator
License:        BSD
Group:          System Environment/Libraries
URL:            https://github.com/Constellation/escodegen
Source0:        https://registry.npmjs.org/escodegen/-/escodegen-%{version}.tgz
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:        tests-%{version}.tar.bz2
Source10:       dl-tests.sh
# Patch tests for newer source-map
Patch0:         nodejs-escodegen-sourcemap.patch

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(chai)
#BuildRequires:  npm(esprima-moz)
BuildRequires:  npm(estraverse)
BuildRequires:  npm(esutils)
BuildRequires:  npm(source-map)
%endif

%description
%{summary}.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%patch0 -p1
%nodejs_fixdep esprima "^2.7.1"
%nodejs_fixdep source-map "^0.5.2"
%nodejs_fixdep estraverse
rm -f *.min.js


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/escodegen
cp -pr package.json escodegen.js \
    %{buildroot}%{nodejs_sitelib}/escodegen

mkdir -p %{buildroot}%{nodejs_sitelib}/escodegen/bin
install -p -D -m0755 bin/escodegen.js \
    %{buildroot}%{nodejs_sitelib}/escodegen/bin/escodegen.js
install -p -D -m0755 bin/esgenerate.js \
    %{buildroot}%{nodejs_sitelib}/escodegen/bin/esgenerate.js

mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/escodegen/bin/escodegen.js \
    %{buildroot}%{_bindir}/escodegen.js
ln -sf %{nodejs_sitelib}/escodegen/bin/esgenerate.js \
    %{buildroot}%{_bindir}/esgenerate.js

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
rm test/moz.js # needs esprima-moz
%{nodejs_sitelib}/mocha/bin/mocha --reporter spec --timeout 30000
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE.BSD LICENSE.source-map
%{nodejs_sitelib}/escodegen
%{_bindir}/escodegen.js
%{_bindir}/esgenerate.js


%changelog
* Wed Feb 17 2016 Jared Smith <jsmith@fedoraproject.org> - 1.3.2-9
- Relax dependency on npm(estraverse)
* Thu Feb 11 2016 Tom Hughes <tom@compton.nu> - 1.3.2-8
- Patch tests for newer source-map
* Wed Feb 10 2016 Tom Hughes <tom@compton.nu> - 1.3.2-7
- Update npm(source-map) dependency
* Thu Feb  4 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
* Tue Jan 19 2016 Tom Hughes <tom@compton.nu> - 1.3.2-5
- Increase test timeout - koji can be slow
* Fri Jan  1 2016 Tom Hughes <tom@compton.nu> - 1.3.2-4
- Update npm(esprima) dependency
- Enable most tests
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
* Sat Jun  7 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
* Fri Apr 18 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.3.2-1
- update to upstream release 1.3.2
* Wed Sep  4 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.26-1
- update to upstream release 0.0.26
* Sat Aug  3 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
* Sun Jul 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.23-1
- update to upstream release 0.0.23
- restrict to compatible arches
* Fri Jun  7 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.22-2
- add comment about dependencies for %%%%check
- fix incorrect License tag
* Wed May 29 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.0.22-1
- initial package
